package com.bureau.devicefingerprint.datacollectors

import com.bureau.devicefingerprint.di.DeviceFingerprintScope
import com.bureau.devicefingerprint.tools.executeSafe
import javax.inject.Inject

@DeviceFingerprintScope
class WebInfoProvider @Inject constructor() {
    fun getUserAgent(): String {
        return executeSafe({
            System.getProperty("http.agent") ?: ""
        }, "")
    }
}
