package com.bureau.devicefingerprint.tools

import com.bureau.devicefingerprint.BureauAPI

fun <T> executeSafe(code: () -> T, defaultValue: T): T {
    return try {
        code()
    } catch (throwable: Throwable) {
        BureauAPI.handleException(throwable)
        defaultValue
    }
}
