package com.bureau.devicefingerprint

import com.bureau.devicefingerprint.models.EncryptedDeviceData
import retrofit2.Response
import retrofit2.http.*

interface NetworkService {
    @POST("v1/deviceService/deviceData/android")
    suspend fun sendDeviceDataAsync(
        @Body deviceData: EncryptedDeviceData?,
        @HeaderMap headers: Map<String, String>
    ): Response<Void>
}
